<div xmlns="http://www.w3.org/1999/xhtml" lang="en"
	 xmlns:f="http://typo3.org/ns/fluid/ViewHelpers"
	 xmlns:core="http://typo3.org/ns/fluid/ViewHelpers"
	 xmlns:modules="http://typo3.org/ns/CodingMs/Modules/ViewHelpers">
	<f:layout name="Frontend" />
	<f:section name="Main">

		<div class="modules-listing">

			<f:flashMessages />

			<f:if condition="{settings.listing.frontendUserGroupFilter} || {settings.listing.displaySearchByWord}">
				<div class="panel panel-default">
					<div class="panel-heading"><f:translate key="tx_modules_label.backend_filter" /></div>
					<div class="panel-body">
						<f:form class="form-inline">
							<f:if condition="{settings.listing.displaySearchByWord}">
							<div class="form-group">
								<f:form.textfield name="searchWord" class="form-control" value="{list.searchWord}"
												  placeholder="{f:translate(key: 'tx_modules_label.backend_filter_search_word')}"/>
							</div>
							</f:if>
							<f:if condition="{settings.listing.frontendUserGroupFilter}">
								<div class="form-group">
									<label><f:translate key="tx_modules_label.backend_filter_usergroup"/></label><br />
									<f:form.select name="usergroup" class="form-control" optionLabelField="title"
												   options="{list.usergroup.items}" value="{list.usergroup.selected}"
												   prependOptionValue="-1"
												   prependOptionLabel="{f:translate(key: 'tx_modules_label.backend_filter_usergroup_all')}"/>
								</div>
							</f:if>

							<f:form.submit value="{f:translate(key: 'tx_modules_label.backend_filter_submit')}"
										   class="btn btn-default" />
						</f:form>
					</div>
				</div>
			</f:if>

			<f:if condition="{f:count(subject: users)}">
				<f:then>
					<table class="table table-striped table-hover table-bordered mt-5">
						<thead>
						<tr>
							<th><f:translate key="tx_listing_label.listing_col_name"/></th>
							<th><f:translate key="tx_listing_label.listing_col_email"/></th>
							<th></th>
						</tr>
						</thead>
						<tbody>
						<f:for each="{users}" as="listItem" iteration="listItemIterator">
							<tr>
								<td>{listItem.username}</td>
								<td>{listItem.email}</td>
								<td nowrap="nowrap">
									<div class="btn-group pull-right" role="group" aria-label="Actions">
										<f:link.action action="show"
													   title="{f:translate(key:'tx_listing_label.listing_view_details')}"
													   class="btn btn-primary"
													   arguments="{uid: listItem.uid}"
													   pageUid="{settings.pages.frontendUser.detail}"><f:translate key="tx_listing_label.listing_view_details"/></f:link.action>
									</div>
								</td>
							</tr>
						</f:for>
						</tbody>
					</table>
				</f:then>
				<f:else>
					<div class="alert alert-info"><f:translate key="tx_modules_label.info_no_frontend_user_found" /></div>
				</f:else>
			</f:if>

		</div>

	</f:section>
</div>
